# Guideline for Contributing

Thank you for considering contributing to our project! We appreciate your time and effort.

# How to Contribute
## Translating Matlab to Javascript
The key way to contribute at the moment is to keep converting more functionalities from the Matlab code https://gitlab.com/compstorylab/allotaxonometer to Javascript.

## Solve an Issue
Before you start working on a contribution, it's a good idea to find an issue to work on. You can browse the list of open issues in our GitHub repository and find one that interests you.

## Enhancement 
If you can't find an issue that you want to work on, you can also create a new issue to suggest a change or a new feature.

# Process
Please Fork the Repository, Create a Branch, Make Your Changes, Push Your Changes, Submit a Pull Request. This project is volunteer, we will try to get to it as soon as possible.

# Code of Conduct
We are committed to maintaining a respectful and inclusive community.

We as members, contributors, and leaders pledge to make participation in our community a harassment-free experience for everyone, regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, caste, color, religion, or sexual identity and orientation.

We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.

## Example Standards
Examples of behavior that contributes to a positive environment for our community include:
* Demonstrating empathy and kindness toward other people
* Being respectful of differing opinions, viewpoints, and experiences
* Giving and gracefully accepting constructive feedback
* Accepting responsibility and apologizing to those affected by our mistakes, and learning from the experience
* Focusing on what is best not just for us as individuals, but for the overall community

Examples of unacceptable behavior include:
* The use of sexualized language or imagery, and sexual attention or advances of any kind
* Trolling, insulting or derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or email address, without their explicit permission
Other conduct which could reasonably be considered inappropriate in a professional setting

## Enforcement
Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful.

Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate

# License
By contributing to this project, you agree to license your contribution under the MIT License.
